import { ProfilePictureGeneratorSettings, Generator } from "./main";

export const defaultSettings: Partial<ProfilePictureGeneratorSettings> = {
  imageHeight: 1200,
  imageWidth: 1200,
  borderWidth: 176,
  containerClass: ["fff-profile-picture-generator"],
  tracking: false,
  zoom: true,
  piwikHost: "",
  piwikPageId: 0,
  generator: "client" as Generator.CLIENT,
  buttonGroupClass: ["fff-profile-picture-generator--button-group", "special-link-collection"],
  dropDownClass: ["fff-profile-picture-generator--dropdown"],
  dropDownButtonClass: ["fff-profile-picture-generator--button"],
  dropDownMenuClass: ["fff-profile-picture-generator--dropdown-menu"],
  uploadButtonTitle: "Generate your own profile picture",
  uploadButtonClass: ["fff-profile-picture-generator--button", "special-link"],
  languageSelectorClass: ["fff-profile-picture-generator--language-select", "special-link"],
  languageSelectorLabel: "Language Selector",
  imageClass: ["fff-profile-picture-generator--image"],
  imageAltText: "Generated Fridays for Future Profilepicture",
  imagePreview: ``,
  templateUrl: ``,
  downloadButtonClass: ["fff-profile-picture-generator--button", "special-link"],
  downloadButtonTitle: "Download",
  privacyNote: `The selected file will not be send to any server. The image is generated by the browser.`,
  fileName: "ProfilePicture.png",
  privacyLinkText: `Privacy Note`,
  privacyLink: "https://developersforfuture.org/data-policy",
  zoomLabel: "Zoom",
  languages: {}
};
